pybik-bin_2.1-1build1_amd64.deb


Advertisement

Description

pybik-bin - Rubik's cube game - architecture dependent files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pybik-bin
Package version 2.1
Package release 1build1
Package architecture amd64
Package type deb
Installed size 155 B
Download size 45.07 KB
Official Mirror archive.ubuntu.com
This package contains the architecture dependent files of Pybik,
and is generally useless without the pybik package.

Alternatives

Package Version Architecture Repository
pybik-bin_2.1-1build1_i386.deb 2.1 i386 Ubuntu Universe
pybik-bin - - -

Requires

Name Value
libc6 >= 2.4
libgl1 -
libgl1-mesa-glx -
python3 >= 3.5~
python3 << 3.6

Replaces

Name Value
pybik << 2.1-1build1

Download

Type URL
Binary Package pybik-bin_2.1-1build1_amd64.deb
Source Package pybik

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pybik-bin deb package:
    # sudo apt-get install pybik-bin

Files

Path
/usr/lib/pybik/pybiklib/_glarea.cpython-35m-x86_64-linux-gnu.so
/usr/lib/pybik/pybiklib/_gldraw.cpython-35m-x86_64-linux-gnu.so
/usr/share/doc/pybik-bin/changelog.Debian.gz
/usr/share/doc/pybik-bin/copyright

Changelog

2016-01-19 - Matthias Klose <doko@ubuntu.com>
pybik (2.1-1build1) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2015-07-31 - B. Clausius <barcc@gmx.de>
pybik (2.1-1) unstable; urgency=medium
* New upstream release
+ New puzzles: Triangular Prisms and Pentagonal Prisms
+ For each puzzle type, the game is saved independently
+ Misc improvements
+ Updated translations
* Suggests gconf2 removed:
Settings migration from Pybik 0.5 is not supported any more
* Changes for QGLWidget -> QOpenGLWidget transition
+ python3-pyqt5.qtopengl dependency removed
+ needs Qt (and PyQt) version 5.4
* Compatibility with the --parallel option introduced in Python 3.5:
As before, only the model data is generated in parallel, not the
extension modules.
* Reproducible builds:
Output of sys.argv is not embedded any more by
buildlib/translation_from_ui.py
* Removed autopkgtest
2015-04-28 - B. Clausius <barcc@gmx.de>
pybik (2.0-1) unstable; urgency=medium
* New upstream release
+ New puzzle: Tetrahedron
+ New solution: Beginner's method
+ Added move transformations
+ Other new and improved plugins
+ Improved rendering engine
+ Added simple help
* Updated dependencies:
+ PyQt4 -> PyQt5
+ Needs Python 3.4
+ numpy and libglm-dev removed
* Updated Standards-Version to 3.9.6, no changes needed
* Experimental support for reproducible builds
+ Release date in the man-page
+ Pickled data in /usr/share/pybik/models/*
* Build without setuptools which is now standard in setup.py
* Removed patch, applied upstream
2014-07-20 - B. Clausius <barcc@gmx.de>
pybik (1.1.1-1) unstable; urgency=medium
* New upstream release
+ New and updated translations
+ Misc bugfixes and improvements
* Cryptographic verification of upstream packages
* Added DEP12 upstream metadata
* Removed patches (included upstream)
* Added patch to fix option for pickle protocol
* Use a pickle protocol compatible with all supported Python 3 versions
* No need to remove __pycache__ directories in debian/rules any more
* autopkgtest needs dependency on xauth
2013-11-14 - B. Clausius <barcc@gmx.de>
pybik (1.1-2) unstable; urgency=low
[ Martin Pitt ]
* Use xvfb in autopkgtest. (Closes: #717126)
* Only run the "min" and "preferences" tests in autopkgtest, as the full
test suite takes way too long (and might not even succeed) under xvfb.
[ Scott Kitterman ]
* Add python3:Depends for pybik-bin since it builds python3 version specific
files
* Override dh_python3 and call dh_python3 a second time to look in
pybik-bin's private dir
* Add build-dep on dh-python (>= 1.20130901-1) for pybuild (this is the
lowest version that will generate correct depends for pybik bin)
[ B. Clausius ]
* Switch to pybuild
* Add menu file
* Added patches from upstream:
+ Heavily reduce the size of the binary package pybik:
lp-pybik-r2126_reduce-model-size.patch
lp-pybik-r2127_reduce-model-size.patch
+ Fix test for newer Python version:
lp-pybik-r2308_fix-tests-for-newer-python.patch
* Updated Standards-Version to 3.9.5, no changes needed
2013-06-17 - B. Clausius <barcc@gmx.de>
pybik (1.1-1) unstable; urgency=low
* New upstream release
+ Rendering engine now uses modern OpenGL
- should be faster on most systems
- improved lighting effect
+ New and updated translations
* Updated for Python 2 -> Python 3 transition
* Pybik no longer works with PySide
* Recommends python3-icu
* Added autopkgtest
2013-06-01 - B. Clausius <barcc@gmx.de>
pybik (1.0.1-2) unstable; urgency=low
[ B. Clausius ]
* Upload to unstable (Closes: #710606)
* Change binary package compression to xz
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
* Use empty lines to separate paragraphs in debian/control.

See Also

Package Description
pybik_2.1-1build1_all.deb Rubik's cube game
pybit-client_1.0.0-2.1_all.deb buildd client support for pybit
pybit-common_1.0.0-2.1_all.deb Common objects for pybit
pybit-svn_1.0.0-2.1_all.deb Subversion post commit hook for pybit
pybit-watcher_1.0.0-2.1_all.deb watches incoming directories for reprepro
pybit-web_1.0.0-2.1_all.deb buildd toolkit based on message queues (web frontend)
pybliographer_1.2.16-1_all.deb tool for manipulating bibliographic databases
pyblosxom_1.5.3-2_all.deb lightweight file-based weblog system written in Python
pybootchartgui_0+r141-0ubuntu6_amd64.deb boot sequence visualisation
pybridge-common_0.3.0-7.2_all.deb Common files for pybridge
pybridge-server_0.3.0-7.2_all.deb Server files for pybridge
pybridge_0.3.0-7.2_all.deb An online contract bridge game. Gtk client
pybtex_0.18-1_all.deb BibTeX-compatible bibliography processor
pyca_20031119-0_all.deb Certification Authority written in Python
pycarddav_0.7.0-1_all.deb simple to use CardDAV CLI client
Advertisement
Advertisement